Subject: [icnrg] Fwd: New Version Notification for draft-oran-icnrg-reflexive-forwarding-01.txt

From: "David R. Oran" <[email-masked]>
Date: Fri, 17 Apr 2020 09:56:14 -0400

Dirk and I updated the Reflexive Forwarding draft based on the very 
useful review comments from Ken Calvert and some subsequent email 
discussion. The main changes are an expanded implementation 
considerations section to further discuss how to handle reflexive 
interests efficiently in high-speed forwarders.

Please review and comment on this document as adopting it would be a 
non-trivial modification/enhancement to the CCNx and NDN architecture.

Time permitting, we plan to give an introductory talk on Reflexive 
Forwarding at the ICNRG Interim meeting on Monday.

Many thanks,

DaveO

Forwarded message:

> From: [email-masked]
> To: Dirk Kutscher <[email-masked]>, Dave Oran 
> <[email-masked]>, David Oran <[email-masked]>
> Subject: New Version Notification for 
> draft-oran-icnrg-reflexive-forwarding-01.txt
> Date: Fri, 17 Apr 2020 06:51:26 -0700
>
> A new version of I-D, draft-oran-icnrg-reflexive-forwarding-01.txt
> has been successfully submitted by Dave Oran and posted to the
> IETF repository.
>
> Name:		draft-oran-icnrg-reflexive-forwarding
> Revision:	01
> Title:		Reflexive Forwarding for CCNx and NDN Protocols
> Document date:	2020-04-17
> Group:		Individual Submission
> Pages:		33
> URL:            
> https://www.ietf.org/internet-drafts/draft-oran-icnrg-reflexive-forwarding-01.txt
> Status:         
> https://datatracker.ietf.org/doc/draft-oran-icnrg-reflexive-forwarding/
> Htmlized:       
> https://tools.ietf.org/html/draft-oran-icnrg-reflexive-forwarding-01
> Htmlized:       
> https://datatracker.ietf.org/doc/html/draft-oran-icnrg-reflexive-forwarding
> Diff:           
> https://www.ietf.org/rfcdiff?url2=draft-oran-icnrg-reflexive-forwarding-01
>
> Abstract:
>    Current Information-Centric Networking protocols such as CCNx and 
> NDN
>    have a wide range of useful applications in content retrieval and
>    other scenarios that depend only on a robust two-way exchange in 
> the
>    form of a request and response (represented by an _Interest-Data
>    exchange_ in the case of the two protocols noted above).  A number 
> of
>    important applications however, require placing large amounts of 
> data
>    in the Interest message, and/or more than one two-way handshake.
>    While these can be accomplished using independent Interest-Data
>    exchanges by reversing the roles of consumer and producer, such
>    approaches can be both clumsy for applications and problematic from 
> a
>    state management, congestion control, or security standpoint.  This
>    specification proposes a _Reflexive Forwarding_ extension to the 
> CCNx
>    and NDN protocol architectures that eliminates the problems 
> inherent
>    in using independent Interest-Data exchanges for such applications.
>    It updates RFC8569 and RFC8609.
>
>
>
>
> Please note that it may take a couple of minutes from the time of 
> submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> The IETF Secretariat